using System;

namespace B3
{
    internal class Program
    {
        struct Tacka
        {
            public int x;
            public int y;
        }
        static void Main(string[] args)
        {
            int maxx = 0, maxy = 0;
            int n = int.Parse(Console.ReadLine());
            Tacka[] kontrolne = new Tacka[n];
            for (int i = 0; i < n; i++)
            {
                int max = 0;
                string[] xy = Console.ReadLine().Split();
                
                kontrolne[i].x = int.Parse(xy[0]);
                kontrolne[i].y = int.Parse(xy[1]);
                if (kontrolne[i].x > maxx)
                    maxx = kontrolne[i].x;
                if (kontrolne[i].y > maxy)
                    maxy = kontrolne[i].y;
                int rezultat = 0;
                for (int j = 1; j <= maxx; j++)
                {
                    for (int k = 1; k <= maxy; k++)
                    { 
                        rezultat = 0;
                        for (int n1 = 0; n1 < i; n1++)
                        {
                            int a = Math.Abs(kontrolne[n1].x - j);
                            int b = Math.Abs(kontrolne[n1].y - k);
                            rezultat +=  a*b ;
                        }
                    }
                    if (rezultat >= max)
                    {
                        max = rezultat;
                    }
                }
                Console.WriteLine(max);
            }

        }
    }
}